diff --git a/src/main/java/net/minecraft/core/world/type/nether/WorldTypeNether.java b/src/main/java/net/minecraft/core/world/type/nether/WorldTypeNether.java
index bd3849c11..3d9c5dec3 100644
--- a/src/main/java/net/minecraft/core/world/type/nether/WorldTypeNether.java
+++ b/src/main/java/net/minecraft/core/world/type/nether/WorldTypeNether.java
@@ -1,9 +1,6 @@
 package net.minecraft.core.world.type.nether;
 
-import net.minecraft.client.render.colorizer.Colorizers;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.util.helper.MathHelper;
-import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.biome.Biomes;
 import net.minecraft.core.world.biome.provider.BiomeProvider;
@@ -23,8 +20,6 @@ public class WorldTypeNether
                 .brightnessRamp(getLightRamp())
                 .oceanBlock(Blocks.FLUID_LAVA_STILL)
                 .fillerBlock(Blocks.COBBLE_NETHERRACK)
-                .noClouds()
-                .noSky()
                 .withCeiling()
                 .bounds(0, 255, 128 + 32);
     }
@@ -66,30 +61,8 @@ public class WorldTypeNether
         return 0.5f;
     }
 
-    @Override
-    public float[] getSunriseColor(float timeOfDay, float partialTick) {
-        return new float[4];
-    }
-
     @Override
     public int getSkyDarken(World world, long tick, float partialTick) {
         return 0;
     }
-
-    @Override
-    public Vec3 getFogColor(World world, double x, double y, double z, float celestialAngle, float partialTick) {
-        if (Colorizers.fog.isEnabled()) {
-            int x1 = MathHelper.floor(x);
-            int y1 = MathHelper.floor(y);
-            int z1 = MathHelper.floor(z);
-
-            int color = Colorizers.fog.getColor(world, x1, y1, z1);
-
-            float r = ((color >> 16) & 0xFF) / 255.0f;
-            float g = ((color >> 8) & 0xFF) / 255.0f;
-            float b = (color & 0xFF) / 255.0f;
-            return Vec3.getTempVec3(r, g, b);
-        }
-        return Vec3.getTempVec3(0.0, 0.0, 0.0);
-    }
 }
diff --git a/src/main/java/net/minecraft/core/world/type/overworld/WorldTypeOverworld.java b/src/main/java/net/minecraft/core/world/type/overworld/WorldTypeOverworld.java
index a252deae4..97e93d52a 100644
--- a/src/main/java/net/minecraft/core/world/type/overworld/WorldTypeOverworld.java
+++ b/src/main/java/net/minecraft/core/world/type/overworld/WorldTypeOverworld.java
@@ -1,9 +1,7 @@
 package net.minecraft.core.world.type.overworld;
 
-import net.minecraft.client.render.colorizer.Colorizers;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.util.helper.MathHelper;
-import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.biome.provider.BiomeProvider;
 import net.minecraft.core.world.biome.provider.BiomeProviderOverworld;
@@ -39,8 +37,7 @@ public class WorldTypeOverworld
                 )
                 .oceanBlock(Blocks.FLUID_WATER_STILL)
                 .fillerBlock(Blocks.STONE)
-                .allowRespawn()
-                .withAurora();
+                .allowRespawn();
     }
 
     public static float[] createLightRamp() {
@@ -74,28 +71,6 @@ public class WorldTypeOverworld
         return getTimeOfDay(world, tick, partialTick);
     }
 
-    @Override
-    public float[] getSunriseColor(float timeOfDay, float partialTick) {
-        float[] sunriseCol = new float[4];
-        float sunriseMinimum = 0.4F;
-
-        // Gives a value that goes from 1 to -1 to 1 over the course of a day
-        float sunrisePresence = MathHelper.cos(timeOfDay * MathHelper.PI * 2.0F);
-        float middle = 0F;
-        if (sunrisePresence >= middle - sunriseMinimum && sunrisePresence <= middle + sunriseMinimum) {
-            float c = ((sunrisePresence - middle) / sunriseMinimum) * 0.5F + 0.5F;
-            float a = 1.0F - (1.0F - MathHelper.sin(c * MathHelper.PI)) * 0.99F;
-            a *= a;
-            sunriseCol[0] = c * 0.3F + 0.7F;
-            sunriseCol[1] = c * c * 0.7F + 0.2F;
-            sunriseCol[2] = c * c * 0.0F + 0.2F;
-            sunriseCol[3] = a;
-            return sunriseCol;
-        } else {
-            return null;
-        }
-    }
-
     @Override
     public int getSkyDarken(World world, long tick, float partialTick) {
         float f1 = getCelestialAngle(world, tick, partialTick);
@@ -112,31 +87,4 @@ public class WorldTypeOverworld
             weatherOffset = currentWeather.subtractLightLevel * world.weatherManager.getWeatherIntensity() * world.weatherManager.getWeatherPower();
         return (int) (f2 * (11F - weatherOffset) + weatherOffset);
     }
-
-    @Override
-    public Vec3 getFogColor(World world, double x, double y, double z, float celestialAngle, float partialTick) {
-        float dayProgress = MathHelper.cos(celestialAngle * MathHelper.PI * 2.0F) * 2.0F + 0.5F;
-        dayProgress = MathHelper.clamp(dayProgress, 0.0f, 1.0f);
-        float r, g, b;
-
-        if (Colorizers.fog.isEnabled()) {
-            int x1 = MathHelper.floor(x);
-            int y1 = MathHelper.floor(y);
-            int z1 = MathHelper.floor(z);
-
-            int color = Colorizers.fog.getColor(world, x1, y1, z1);
-
-            r = ((color >> 16) & 0xFF) / 255.0f;
-            g = ((color >> 8) & 0xFF) / 255.0f;
-            b = (color & 0xFF) / 255.0f;
-        } else {
-            r = 0.7529412f;
-            g = 0.8470588f;
-            b = 1.0f;
-        }
-        r *= dayProgress * 0.94f + 0.06f;
-        g *= dayProgress * 0.94f + 0.06f;
-        b *= dayProgress * 0.91f + 0.09f;
-        return Vec3.getTempVec3(r, g, b);
-    }
 }
diff --git a/src/main/java/net/minecraft/core/world/type/paradise/WorldTypeParadise.java b/src/main/java/net/minecraft/core/world/type/paradise/WorldTypeParadise.java
index 1149d1c9d..d966edec0 100644
--- a/src/main/java/net/minecraft/core/world/type/paradise/WorldTypeParadise.java
+++ b/src/main/java/net/minecraft/core/world/type/paradise/WorldTypeParadise.java
@@ -1,10 +1,8 @@
 package net.minecraft.core.world.type.paradise;
 
-import net.minecraft.client.render.colorizer.Colorizers;
 import net.minecraft.core.Global;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.util.helper.MathHelper;
-import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.biome.Biomes;
 import net.minecraft.core.world.biome.provider.BiomeProvider;
@@ -31,8 +29,6 @@ public class WorldTypeParadise
                 )
                 .fillerBlock(Blocks.MARBLE)
                 .dayNightCycleTicks(Global.DAY_LENGTH_TICKS * 28 * 2)
-                .cloudHeight(8f)
-                .noGround()
                 .bounds(0, 255, 0);
     }
 
@@ -79,26 +75,6 @@ public class WorldTypeParadise
         return dayProgress;
     }
 
-    @Override
-    public float[] getSunriseColor(float timeOfDay, float partialTick) {
-        float[] sunriseCol = new float[4];
-        float f2 = 0.4F;
-        float f3 = MathHelper.cos(timeOfDay * MathHelper.PI * 2.0F) - 0.0F;
-        float f4 = -0F;
-        if (f3 >= f4 - f2 && f3 <= f4 + f2) {
-            float c = ((f3 - f4) / f2) * 0.5F + 0.5F;
-            float a = 1.0F - (1.0F - MathHelper.sin(c * MathHelper.PI)) * 0.99F;
-            a *= a;
-            sunriseCol[0] = c * 0.3F + 0.7F;
-            sunriseCol[1] = c * c * 0.7F + 0.2F;
-            sunriseCol[2] = c * c * 0.0F + 0.2F;
-            sunriseCol[3] = a;
-            return sunriseCol;
-        } else {
-            return null;
-        }
-    }
-
     @Override
     public int getSkyDarken(World world, long tick, float partialTick) {
         float f1 = getCelestialAngle(world, tick, partialTick);
@@ -116,32 +92,4 @@ public class WorldTypeParadise
         if (subtracted > 8) subtracted = 8;
         return subtracted;
     }
-
-    @Override
-    public Vec3 getFogColor(World world, double x, double y, double z, float celestialAngle, float partialTick) {
-        float f2 = MathHelper.cos(celestialAngle * MathHelper.PI * 2.0F) * 2.0F + 0.5F;
-        f2 = MathHelper.clamp(f2, 0.0f, 1.0f);
-        float r, g, b;
-
-        if (Colorizers.fog.isEnabled()) {
-            int x1 = MathHelper.floor(x);
-            int y1 = MathHelper.floor(y);
-            int z1 = MathHelper.floor(z);
-
-            int color = Colorizers.fog.getColor(world, x1, y1, z1);
-
-            r = ((color >> 16) & 0xFF) / 255.0f;
-            g = ((color >> 8) & 0xFF) / 255.0f;
-            b = (color & 0xFF) / 255.0f;
-        } else {
-            int i = 0x8080a0;
-            r = (float) (i >> 16 & 0xff) / 255.0f;
-            g = (float) (i >> 8 & 0xff) / 255.0f;
-            b = (float) (i & 0xff) / 255.0f;
-        }
-        r *= f2 * 0.94F + 0.06F;
-        g *= f2 * 0.94F + 0.06F;
-        b *= f2 * 0.91F + 0.09F;
-        return Vec3.getTempVec3(r, g, b);
-    }
 }
diff --git a/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java b/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
index 22a799429..51f1dd569 100644
--- a/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
+++ b/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
@@ -7,7 +7,7 @@ import net.minecraft.core.block.entity.TileEntityFlag;
 import net.minecraft.core.block.entity.TileEntityMobSpawner;
 import net.minecraft.core.block.entity.TileEntitySign;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.vehicle.BoatEntity;
+import net.minecraft.core.entity.vehicle.EntityBoat;
 import net.minecraft.core.enums.ArtType;
 import net.minecraft.core.enums.EnumSignPicture;
 import net.minecraft.core.enums.PlacementMode;
@@ -549,8 +549,8 @@ public class PacketHandlerServer extends PacketHandler
     public void handleBoatControl(BoatControlPacket boatControlPacket)
     {
         if (!canInteract()) return;
-        if (playerEntity.vehicle != null && playerEntity.vehicle instanceof BoatEntity && !Double.isNaN(boatControlPacket.targetXD) && !Double.isNaN(boatControlPacket.targetZD)) {
-            BoatEntity boat = (BoatEntity) playerEntity.vehicle;
+        if (playerEntity.vehicle != null && playerEntity.vehicle instanceof EntityBoat && !Double.isNaN(boatControlPacket.targetXD) && !Double.isNaN(boatControlPacket.targetZD)) {
+            EntityBoat boat = (EntityBoat) playerEntity.vehicle;
             boat.handleControlDirect(boatControlPacket.targetXD, boatControlPacket.targetZD, boatControlPacket.targetYRot);
             boatControlPacket.entityId = boat.id;
             mcServer.playerList.sendPacketToOtherPlayersAroundPoint(playerEntity,boat.x, boat.y, boat.z, 128, boat.world.dimension.id, boatControlPacket);
diff --git a/src/main/resources/shaders/post.fsh b/src/main/resources/shaders/post.fsh
index ef41f4dda..30de78080 100644
--- a/src/main/resources/shaders/post.fsh
+++ b/src/main/resources/shaders/post.fsh
@@ -17,6 +17,7 @@ uniform float heatHaze;
 uniform int bloom;
 
 uniform int dimension;
+uniform int shaderEffect;
 
 uniform float width;
 uniform float height;
@@ -141,6 +142,15 @@ void HeatHaze(inout vec2 coord, float amount) {
 	coord += wave * strength * 0.0001f;
 }
 
+
+vec3 colorEffects(vec3 tex) {
+    if (shaderEffect == 1) {
+        return vec3(tex.r, 0, 0);
+    }
+    return tex;
+}
+
+
 void main() {
     vec3 color = vec3(0.0);
 	vec2 coord = texcoord;
@@ -165,6 +175,7 @@ void main() {
     color = adjustExposure(color, exposure);
     color = adjustSaturation(color, saturation);
     color = adjustColor(color, rMod, gMod, bMod);
+    color = colorEffects(color);
 	
     gl_FragColor = vec4(color, 1.0);
 }
\ No newline at end of file
